package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author xkrs
 */
@Entity
@Table(name = "countycode_weixin")
public class CountyCodeWeiXinEntity implements Serializable {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "countycode_weixin_seq_gen")
    @SequenceGenerator(name = "countycode_weixin_seq_gen", sequenceName = "countycode_weixin_id_seq", allocationSize = 1)
    private Long id;

    /**
     * 区划编码
     */
    @Column(length = 64, columnDefinition = "varchar(64)")
    private String countyCode;

    /**
     * 微信ID
     */
    @Column(length = 128, columnDefinition = "varchar(128)")
    private String weixinId;

    /**
     * 区县名称
     */
    @Column(length = 128, columnDefinition = "varchar(128)")
    private String countyName;

    /**
     * 微信名
     */
    @Column(length = 128, columnDefinition = "varchar(128)")
    private String weixinName;

    /**
     * 备注
     */
    @Column(length = 128, columnDefinition = "varchar(128)")
    private String remark;

    /**
     * 发送状态
     */
    private Long sendState;

    public CountyCodeWeiXinEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCountyCode() {
        return countyCode;
    }

    public void setCountyCode(String countyCode) {
        this.countyCode = countyCode;
    }

    public String getWeixinId() {
        return weixinId;
    }

    public void setWeixinId(String weixinId) {
        this.weixinId = weixinId;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public String getWeixinName() {
        return weixinName;
    }

    public void setWeixinName(String weixinName) {
        this.weixinName = weixinName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getSendState() {
        return sendState;
    }

    public void setSendState(Long sendState) {
        this.sendState = sendState;
    }

    @Override
    public String toString() {
        return "CountyCodeWeiXinEntity{" +
                "id=" + id +
                ", countyCode='" + countyCode + '\'' +
                ", weixinId='" + weixinId + '\'' +
                ", countyName='" + countyName + '\'' +
                ", weixinName='" + weixinName + '\'' +
                ", remark='" + remark + '\'' +
                ", sendState=" + sendState +
                '}';
    }
}
